RegisterRegister
Log in to check your private messagesLog in to check your private messages
Log inLog in
FAQ  -  SEARCH  -  MEMBERS  -  FAVORITES  -  PROFILE
Does Cubase 8.5 support Cubase 4 files?

 
Post new topic   Reply to topic   printer-friendly view    Tape Op Message Board Forum Index -> Computer World
View previous topic :: View next topic  
Author Message
yellowmagnetichuman
audio school


Joined: 13 Dec 2016
Posts: 1

PostPosted: Mon Jan 09, 2017 4:01 pm    Post subject: Does Cubase 8.5 support Cubase 4 files? Reply with quote

So...

I had the blessing/curse of a 2007 macbook pro staying alive and well for about 9 years, which, I was running Cubase 4 on. That time came to an end recently, and I upgraded to a Macbook Pro from 2015 running macOS Sierra 10.12.2.

Cubase 4 does not work on my current OS (do correct me if I'm wrong here but cannot find install CD and everything I've seen implies that it does not) so I'm wondering if Cubase 8.5 has backward compatibility with Cubase 4 files. Can anyone confirm this? From Steinberg's site it says that Cubase 8 DOES support Cubase 4 files, which, would be essential to me continuing to work on some of my old projects, but nothing on 8.5.

While emailing a Steinberg rep he said he could give me no clear answer as to if the recently released Cubase 9 would support Cubase 4 files, which kind of surprised me, but I appreciated his forthrightness. However, a little bit of searching has told me that Cubase 9 has *no* backwards compatibility...kind of mind blowing, but, it seems to be the case.

Any help or guidance on this issue would be MUCH appreciated before I throw down for a slightly older, but, backwards-compatible-friendly version of Cubase. Been a while (9 years) since I've delved into this world...probably shouldn't take a decade off next time!

cheers,
jon
Back to top
View user's profile Send private message
joninc
carpal tunnel


Joined: 09 Jun 2003
Posts: 1689
Location: canada

PostPosted: Mon Jan 09, 2017 4:57 pm    Post subject: Re: Does Cubase 8.5 support Cubase 4 files? Reply with quote

if that`s true I am shocked. Most of the people who would upgrade are currently using older versions and would want to be able to carry on work on the same projects in the newer software.

I have had cubase 4 - 7 and demod 8.5 - in Windows on PC.

I can always open older versions of cubase (and nuendo) in the newer Cubase version. I often track in 5 and mix in 7. I like the earlier comping style better but there`s som good functions built into the newer channel strips for mixing,

https://www.steinberg.net/en/support/knowledgebase_new/show_details/kb_show/compatibility-and-interchangeability-of-project-files/kb_back/2020.html
_________________
the new rules : there are no rules
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic   printer-friendly view    Tape Op Message Board Forum Index -> Computer World All times are GMT - 4 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum